<?php
namespace nur\b;

use Exception;
use nur\b\impl\One;
use nur\t\TestCase;

class exceptionTest extends TestCase {
  function testPlouf() {
    $one = new One();
    try {
      $one->f();
    } catch (Exception $e) {
      self::assertTrue(true);
      $sh = new ExceptionShadow($e);

      echo "=== shadow\n";
      echo $sh->getTraceAsString()."\n";

      echo "=== original\n";
      echo $e->getTraceAsString()."\n";
    }
  }
}
